Bug 201398 - Fails to install a printer
Fails to install a printer
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-04 16:05 EDT by Kjartan Maraas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 3.0.2-38
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-22 11:53:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kjartan Maraas 2006-08-04 16:05:20 EDT
Description of problem:
I tried setting up my HP DeskJet 995C today with the current rawhide packages
and ended up being notified of an internal server error in CUPS. When I ran
system-config-printer from the command line I got these warnings:

[kmaraas@rivendell libgnomecanvas]$ system-config-printer

(system-config-printer.py:8580): libgnomevfs-WARNING **: Failed to open session
DBUS connection: Unable to determine the address of the message bus (try 'man
dbus-launch' and 'man dbus-daemon' for help)
Volume monitoring will not work.
8580: arguments to dbus_connection_send_with_reply_and_block() were incorrect,
assertion "connection != NULL" failed in file dbus-connection.c line 2769.
This is normally a bug in some application using the D-BUS library.
8580: arguments to dbus_connection_send_with_reply_and_block() were incorrect,
assertion "connection != NULL" failed in file dbus-connection.c line 2769.
This is normally a bug in some application using the D-BUS library.

From /var/log/cups/error_log:

I [04/Aug/2006:22:12:35 +0200] Started "/usr/lib/cups/daemon/cups-driverd"
(pid=10202)
I [04/Aug/2006:22:12:45 +0200] Started "/usr/lib/cups/daemon/cups-deviced"
(pid=10209)
I [04/Aug/2006:22:13:24 +0200] Setting deskjet device-uri to
"usb://HP/DESKJET%20995C?serial=MY32I5B2J50M" (was "file:/dev/null".)
E [04/Aug/2006:22:13:25 +0200] [CGI] Printer 'HP-DeskJet_995C-gimp-print' not found!
E [04/Aug/2006:22:13:25 +0200] copy_model: empty PPD file!
E [04/Aug/2006:22:13:25 +0200] CUPS-Add-Modify-Printer
server-error-internal-error: Unable to copy PPD file!
E [04/Aug/2006:22:13:25 +0200] PID 11746 (/usr/lib/cups/daemon/cups-driverd)
stopped with status 255!
I [04/Aug/2006:22:13:25 +0200] Hint: Try setting the LogLevel to "debug" to find
out more.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tim Waugh 2006-08-07 05:29:40 EDT
The libgnomevfs warnings are harmless -- system-config-printer doesn't use D-BUS.

This is the problem:
E [04/Aug/2006:22:13:25 +0200] [CGI] Printer 'HP-DeskJet_995C-gimp-print' not found!

and it should be fixed in foomatic-3.0.2-38.

Note You need to log in before you can comment on or make changes to this bug.